/*
 * Copyright 2019 AutoSledgi Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.autosledgi.jobresult

import com.amazonaws.services.dynamodbv2.datamodeling.DynamoDBAttribute
import com.amazonaws.services.dynamodbv2.datamodeling.DynamoDBAutoGeneratedKey
import com.amazonaws.services.dynamodbv2.datamodeling.DynamoDBHashKey
import com.amazonaws.services.dynamodbv2.datamodeling.DynamoDBTable
import javax.persistence.Id


@DynamoDBTable(tableName = "autosledgi-eval-jobresult")
class BatchJobResult(
    @DynamoDBAttribute
    var data: String = ""
) {

    @Id
    @get:DynamoDBHashKey(attributeName = "job_id")
    @DynamoDBAutoGeneratedKey // this wont be used in production, just a demo
    var jobId: String? = null


}

// c.f. https://github.com/derjust/spring-data-dynamodb/wiki/Use-Hash-Range-keys
data class UniqueJobId(
    @DynamoDBHashKey
    var jobId: String? = null
)